Subject: Re: [PATCH v2 2/6] Sysace: Use the established platform bus api

From: Jens Axboe <[email-masked]>
Date: Tue, 2 Oct 2007 08:35:23 +0200

On Tue, Oct 02 2007, Benjamin Herrenschmidt wrote:
> 
> On Mon, 2007-10-01 at 13:59 +0200, Jens Axboe wrote:
> > On Sun, Sep 30 2007, Grant Likely wrote:
> > > On 9/30/07, Christoph Hellwig <[email-masked]> wrote:
> > > > On Sun, Sep 30, 2007 at 04:57:09PM -0600, Grant Likely wrote:
> > > > > +     if ((rc = platform_driver_register(&ace_platform_driver)) != 0)
> > > > > +             goto err_plat;
> > > >
> > > >         rc = platform_driver_register(&ace_platform_driver);
> > > >         if (rc)
> > > >                  goto err_plat;
> > > >
> > > > please.
> > > 
> > > Okay, will do.
> > > 
> > > >
> > > > > +      err_plat:
> > > > > +     unregister_blkdev(ace_major, "xsysace");
> > > > > +      err_blk:
> > > >
> > > > labels should be indented zero or one space, but not more.
> > > 
> > > scripts/Lindent does this.  Originally, I *didn't* have my labels
> > > indented.  :-)   Does Lindent need to be fixed?
> > 
> > Seems so, if it idents labels.
> > 
> > Just send a fixup patch for that, I'll add your series to the block tree
> > for 2.6.24.
> 
> It's actually better off living in the powerpc tree I think as it's
> really about adding support for a new powerpc platform and somewhat
> needs to sync with other things in there. Unless you really want the
> whole thing in your tree :-)

I already included it yesterday, it'll go up once 2.6.24 opens. Let me
know if you want me to rip it out, though.

-- 
Jens Axboe